---
title: "Get Default Protocol List"
slug: "get-default-protocol-list"
tags: ["Reference", "IPS 10.1.10"]
updated: 2026-09-23T09:37:28Z
published: 2026-09-23T09:37:28Z
canonical: "docs.trellix.com/get-default-protocol-list"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trellix.com/llms.txt
> Use this file to discover all available pages before exploring further.
# Get Default Protocol List
This URL gets the default protocol list.
## Resource URL
GET /malwarepolicy/malwareprotocols
## Request Parameters
None
## Response Parameters
Following fields are returned if the request parameters are correct, otherwise error details are returned.
| Field Name | Description | Data Type |
| --- | --- | --- |
| advancedMalwareProtocols | List of objects containing protocol details | Array |
Details of object in advancedMalwareProtocols:
| Field Name | Description | Data Type |
| --- | --- | --- |
| protocolName | Type of the file | String |
| enabled | Is protocol enabled | Boolean |
| protocolNumber | Protocol number | Number |
## Example
**Request**
GET [https://%3CNSM_IP%3E/sdkapi/malwarepolicy/malwareprotocols](https://%3CNSM_IP%3E/sdkapi/malwarepolicy/malwareprotocols)
**Response**
```
{
"advancedMalwareProtocols":
[
{
"protocolName": "HTTP",
"protocolNumber": 16,
"enabled": true
},
{
"protocolName": "SMTP",
"protocolNumber": 12,
"enabled": false
}
]
}
```
## Error Information
None